Subject: Re: bug#43412: [FEATURE] autorevert-only-if-visible [PATCH]

From: Boruch Baum <[email-masked]>
Date: Thu, 17 Sep 2020 16:03:57 -0400

On 2020-09-17 13:07, Michael Albinus wrote:
> Boruch Baum <[email-masked]> writes:
>
> Hi Boruch,
>
> >> I haven't tested your patch, but I'm asking myself whether it cooperates
> >> with autorevert triggered by file notifications.
> >> ...
> >> Have you tested this scenario?
> >
> > YES! In fact, that was a major motivation for the submission, and
> > the primary method of testing it.
> >
> > Please do test the patch, and report back.
>
> I see (still haven't tested, just reviewing).

Actually testing the code would be helpful. I'm beginning to feel the
'crunch' in pre-holiday preparations for Jewish New Years, so you're on
your own until at least sometime Monday.

> I don't understand yet, why it is necessary to move "(setq
> auto-revert-notify-modified-p nil)" into the "(when (and revert ..."
> form.

The reset was being applied too broadly and preventing auto-reverts from
occurring when they needed to be. I don't have the specific key-sequence
handy, but it should be clear if you try the code with/without it in
common auto-revert-if-not-visible scenarios.

> Furthermore, I see a problem to call auto-revert functionality in
> files.el. autorevert.el is not dumped into the emacs binary.

I don't understand what you mean. What's the problem?

> Wouldn't it be better to add a function to find-file-hook?

Tried it, and it was insufficient.

> I understand the problem with adding a newline at file end

I don't. AFAIK, it has nothing to do with my patch.

> but maybe this could be solved differently?

Don't know what you mean. What are you suggesting?

Like I mentioned earlier, I need a few days for the Holiday. If you can
test the patch, that would be great.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0